

<html>
	<head>
		<title>Facturas</title>

		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
		
		<script src="..//jquery/jquery-1.3.2.js"></script>
		<script src="..//jquery/bootstrap.js"></script>
		<script  src="..//jquery/bootbox.js"></script>

<link href="..//estilos/estilos.css" type="text/css" rel="stylesheet">
<link href="..//estilos/bootstrap.css" type="text/css" rel="stylesheet">
        
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>



		<script language="javascript">
		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
var miPopup

	function salir() {
			location.href="index.php";
		}
		

		
		function Aplicar() {


claadm = 	document.getElementById("claadm").value; 

bootbox.prompt({
    title: "Digite la Contraseña para APLICAR todas las facturas "  ,

    inputType: 'password',
    callback: function (result) {
        console.log(result);
	if (result == claadm){
document.getElementById("frame_datos").src="aplicar.php";
}else {
alert("Contraseña incorrecta favor Verifique");
}
    }
	});
	

}

	
		
		function verificar(compra) {
			
			miPopup = window.open("comprobar_compra.php?compra="+compra,"frame_datos1","width=900,height=90,scrollbars=yes");
	
				
		}
		
			function convertir_compra(compra) {
			
			    if (confirm(" Desea convertir a Factura de Compra ? "))
				   
			location.href="../Factura_compra/xml_compra_aceptada.php?compra="+compra;

		
		}
		
		function convertir_xml_excel(compra) {
		
				window.open("Convertir_xml_excel.php?compra="+compra);
		
		}
		
		
		
		
		
		
		
			
				function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			//esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			//esto.style.color=texto;
		}
		
	
		</script>
		</head>
<table width="100%" border="0">
  <tr>
    <td colspan="7"><div align="right"></div></td>
  </tr>
  <tr>
    <td width="237" rowspan="4"><div align="right"><img src="../img/Undo_128x128-32.png" onClick="salir()" onMouseOver="style.cursor=cursor" title="salir" alt="salir" width="100" height="100" /></div></td>
   <td width="72"><div align="center"></div></td>
    <td width="119">&nbsp;</td>
    <td width="194">&nbsp;</td>
    <td width="549">&nbsp;</td>
     <td width="317">&nbsp;</td>
     <td width="165" rowspan="4"><img src="../img/aplicar.png" onClick="Aplicar()" onMouseOver="style.cursor=cursor" title="Aceptar  todos" alt="Aplicar" width="100" height="100" /></td>
  </tr>
  <tr>
    <td height="21" colspan="5"><div align="center" class="cabeceraTabla_PAR">MODULO DESCARGA AUTOMATICA COMPROBANTES ELECTRONICOS </div></td>
  </tr>
  
  <tr>
    <td height="35" class="btn-success"><div align="center"><em><strong>ESTADO </strong></em></div></td>
    <td width="119" class="btn-success"><div align="center"><em><strong>FECHA </strong></em></div></td>
    <td width="194" class="btn-success"><div align="center"><em><strong>NUMERO FACTURA </strong></em></div></td>
    <td width="549" class="btn-success"><div align="center"><em><strong>PROVEEDOR</strong></em></div></td>
    <td width="317" class="btn-success"><div align="center"><em><strong>FACTURA DE COMPRA</strong></em></div></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td width="119">&nbsp;</td>
    <td width="194">&nbsp;</td>
    <td width="549">&nbsp;</td>
    <td width="317">&nbsp;</td>
  </tr>
</table>

<?php
include ("../conexion.php"); 



$consulta = "SELECT * FROM web_0000 ";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

        $tipcamdol = $fila["tipcamdol"];
		$clades = $fila["clades"];
		$claadm = $fila["CEDJUR"];

error_reporting(0);

$directorio = opendir("./correos/");  
 $contador=0;
$estado="";
while ($archivo = readdir($directorio))     
{   $nombreArch = ucwords($archivo);     
//$nombreArch = str_replace("..", "Selecione los archivos XML para su respectiva ACEPTACION", $nombreArch);  
 $xml="correos/".$nombreArch;

  $xml = simplexml_load_file($xml);

	$clave     = $xml->Clave;
	$numcon    = $xml->NumeroConsecutivo;
	$fecemi    = $xml->FechaEmision;
	$dscemi    = $xml->Emisor -> Nombre;
	 $cedemi    = $xml->Emisor -> Identificacion -> Numero;
	//$cedtipemi = $xml->Emisor -> Identificacion -> Tipo;
//	$dscrec    = $xml->Receptor -> Nombre;
//	$cedrec    = $xml->Receptor -> Identificacion ->Numero;
//	$cedtiprec = $xml->Receptor -> Identificacion ->Tipo;
	$totcomp   = $xml->ResumenFactura -> TotalComprobante;
	
	
	/*

	*/   
   $filas_pro = 0 ;	
    $filas_fac= 0 ;
	  
	if ($result_pro = $mysqli->query("SELECT cedpro FROM proveedores WHERE cedpro ='$cedemi' ")) {
   $filas_pro = $result_pro->num_rows;
   $result_pro->close();
}

if ($filas_pro > 0 ){ // if el proveedor ya existes


     $rs_pro ="SELECT cdgpro FROM proveedores WHERE cedpro ='$cedemi' ";  ///// invoca los intereses 
       $result_pro2 = $mysqli->query($rs_pro);
       $row_pro = $result_pro2->fetch_array();
	    $cdgpro = $row_pro["cdgpro"];
	


		$numfac    = substr($clave,-19,10);
		if ($result_fac= $mysqli->query("SELECT numfac FROM facturas_compras WHERE numfac ='$numfac' AND cdgpro='$cdgpro' ")) {
		$filas_fac = $result_fac->num_rows;
		$result_fac->close();
		
		}

			if ($filas_fac > 0 ){
			//echo $numfac ;
			
			//echo "factura ya existe";
			/*
				 $rs_pro ="SELECT cdgpro FROM proveedores WHERE cedpro ='$cedemi' ";  ///// invoca los intereses 
				   $result_pro2 = $mysqli->query($rs_pro);
				   $row_pro = $result_pro2->fetch_array();
					$cdgpro = $row_pro["cdgpro"];
			*/	 
			
			
			}


	} // fin if ($filas_pro > 0 ){
	   
	
	
if ($result2 = $mysqli->query("SELECT cdgclavecomp  FROM mensaje_receptor  WHERE  cdgclavecomp = '$clave'   " )) {
   $validamensaje = $result2->num_rows;
   $result2->close();
}

if ($validamensaje > 0 ){$estado="APLICADA";}else{$estado="SIN APLICAR";}


		$fecemi   = substr($fecemi,0,10);
		$fecemi   = implode("-", array_reverse(explode("-", $fecemi)));
//$nombre= "--------".$fecemi."-------------".$numcon."-------------------".$dscemi;

 
if ($totcomp > 0){ 

//$xmlcompra="Comprobantes_mensajes/correos/".$nombreArch;


/// no lo muestra 
if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>




<table width="100%" border="0">
	<?php 
	if ($filas_fac > 0 ){
	?>
    <tr class="" onMouseOver="CambiaColor(this,'#d26966','#d26966')" onMouseOut="CambiaColor2(this,'#ffffff')">
		<?php 
	}else{
	?> 
	<tr class="" onMouseOver="CambiaColor(this,'#ffffff','#ffffff')" onMouseOut="CambiaColor2(this,'#ffffff')">
	<?php 
	}
	?>
	   
      <td width="15%"><div align="right">
        <?php if ($estado== "APLICADA")  {  ?> 
        <img src="../img/entrada caja_70.png" alt="APLICADA" width="32" height="32"  > 
        <?php   } else { ?>  
        <img src="../img/salida caja_70.png" alt="SIN APLICAR" width="32" height="32"  > 
        <?php  }   ?>
      </div></td>
    <td width="58%"><a href="subir_xml_mensaje.php?numcomp=<?php echo $nombreArch;?> ">
      <div class="fuente9"  align="left"><em><strong><?php echo $estado."--------".$fecemi."-------------".$numcon."-------------------".$dscemi;?></strong></em></div></td>
              
    <td width="14%"><em><strong><?php echo "Convertir a COMPRA"?></strong></em> </td>
	<?php 
	if ($filas_fac > 0 ){
	?>
		<td width="3%"><img src="../img/Logout_32x32-32.png" width="32" height="32" title="Factura ya fue convertida a Compra"  onClick=""  onMouseOver="style.cursor=cursor"></td>
		
   
	<?php 
	}else{
	?>
	 <td width="3%"><img src="../img/carrito.png" width="32" height="32" title="Aplicar Factura de Compra"  onClick="verificar('<?php echo $nombreArch; ?>')" ></td>

		<?php 
	}
	?>
	
    <td width="2%"><img src="../img/excel_icon_32.fw.png" width="26" height="26" title="Descargar xml a Excel"   onClick="convertir_xml_excel('<?php echo $nombreArch; ?>')"  onMouseOver="style.cursor=cursor"></td>
    <td width="8%"></td>
  </tr>
</table>


<?php

}else{   

	
			


} 

$contador++;
} 
closedir($directorio);   
echo "</table>\n";  
?>
</html>
<input type="hidden"   value="<?php echo $claadm ?>"  name="claadm"   id="claadm"  />

<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
		</iframe>

  <iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
		</iframe>

  

 





